summaryrefslogtreecommitdiff
path: root/ctdb
diff options
context:
space:
mode:
authorMartin Schwenke <martin@meltin.net>2018-02-07 13:28:59 +1100
committerMartin Schwenke <martins@samba.org>2018-03-01 19:39:15 +0100
commite0e6e40d17da94d0e8688c01701d222f72343aac (patch)
tree969513bae8c196e687c3eca70adba6afbef02e55 /ctdb
parent99350c18aadb0345051f9a21111da1cae3eabe55 (diff)
downloadsamba-e0e6e40d17da94d0e8688c01701d222f72343aac.tar.gz
ctdb-tests: Check for errors when adding stubs/ subdirectory to PATH
Signed-off-by: Martin Schwenke <martin@meltin.net> Reviewed-by: Amitay Isaacs <amitay@gmail.com>
Diffstat (limited to 'ctdb')
-rw-r--r--ctdb/tests/onnode/scripts/local.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/ctdb/tests/onnode/scripts/local.sh b/ctdb/tests/onnode/scripts/local.sh
index aa199952529..27fece87ec5 100644
--- a/ctdb/tests/onnode/scripts/local.sh
+++ b/ctdb/tests/onnode/scripts/local.sh
@@ -3,11 +3,10 @@
# Default to just "onnode".
: ${ONNODE:=onnode}
-# Augment PATH with relevant stubs/ directories.
-
-if [ -d "${TEST_SUBDIR}/stubs" ] ; then
- PATH="${TEST_SUBDIR}/stubs:$PATH"
-fi
+# Augment PATH with relevant stubs/ directory
+stubs_dir="${TEST_SUBDIR}/stubs"
+[ -d "${stubs_dir}" ] || die "Failed to locate stubs/ subdirectory"
+PATH="${stubs_dir}:${PATH}"
# Find CTDB nodes file.
if [ -z "$CTDB_NODES_FILE" ] ; then